#include <iostream>
#define endl '\n';
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    long long l;
    int a, b;
    cin >> l >> a >> b;
    long long skok_podskok = a;
    long long br = 1;
    while(skok_podskok<=l){
        skok_podskok+=a;
        br++;
        a+=b;
        skok_podskok+=a;
        br++;
        a+=b;
    }
    if(skok_podskok-a+b>l){
        br--;
    }
    cout << br << endl;
    return 0;
}
